Package org.codehaus.groovy.runtime.metaclass

## Class MissingPropertyExceptionNoStack

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException
        - - groovy.lang.MissingPropertyException
          - - org.codehaus.groovy.runtime.metaclass.MissingPropertyExceptionNoStack

- All Implemented Interfaces:
    `java.io.Serializable`

      public class MissingPropertyExceptionNoStack
      extends MissingPropertyException

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class groovy.lang.MissingPropertyException

      `MPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MissingPropertyExceptionNoStack​(java.lang.String propertyName, java.lang.Class theClass)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Throwable` | `fillInStackTrace()` |

    - ### Methods inherited from class groovy.lang.MissingPropertyException

      `getMessageWithoutLocationText, getProperty, getType`

    - ### Methods inherited from class groovy.lang.GroovyRuntimeException

      `getLocationText, getMessage, getModule, getNode, setModule`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MissingPropertyExceptionNoStack

          public MissingPropertyExceptionNoStack​(java.lang.String propertyName,
                                                 java.lang.Class theClass)

  - ### Method Detail

    - #### fillInStackTrace

          public java.lang.Throwable fillInStackTrace()

      Overrides:
        `fillInStackTrace` in class `java.lang.Throwable`